import java.io.*;
import java.util.*;


public class Rank {
    
    final static String FILE_PATH = "rank.txt";
    
    public void doRank(GameRecord score) throws IOException {
        addRecord(score);        
        showRank();
    }
    
    public void addRecord(GameRecord score) throws IOException {
        
        PrintWriter out = new PrintWriter(
                new BufferedWriter(
                        new FileWriter(FILE_PATH, true)));
        
        out.println(score.asData());
        
        out.close();
    }
    
    public void showRank() throws IOException {
        
        List records = loadRecords();
        
        Collections.sort(records, new Comparator(){

            public int compare(Object o1, Object o2) {
                GameRecord score1 = (GameRecord)o1;
                GameRecord score2 = (GameRecord)o2;
                
                return score2.getScore() - score1.getScore();
            }            
        });
        
        SConsole.println("_LO");
        SConsole.println("ʁ@_@@ώԁ@vC");
        
        for(int i=0; i<records.size(); i++){
            GameRecord rec = (GameRecord)records.get(i);
            
            SConsole.println(
                    (i+1)
                    + "  " + rec.getScore() + "_"
                    + "  " + rec.getOkCount() + "/" 
                        + rec.getQuestionNumber() + ""
                    + "  " + rec.getMeanTime()    + "ms"        
                    + "  (" + rec.getTime() + ")"
                );
        }
    }
    
    public List loadRecords() throws IOException {
        
        List records = new ArrayList();
        
        BufferedReader in = new BufferedReader(new FileReader(FILE_PATH));
        
        String line;
        while( (line = in.readLine() )!= null){
            GameRecord rec = new GameRecord(line);
            records.add(rec);
        }

        in.close();
        
        return records;
    }
    
    public static void main(String[] args) throws Exception {
        Rank rank = new Rank();
        GameRecord score = new GameRecord("2007/5/20 12:10,150,5,4,50000");
        //System.out.println(score.asData());
        rank.doRank(score);
        //rank.addRank(score);
        //rank.showRanks();
    }

}
