import java.io.*;
import java.util.*;

public class WordManager {

    final static String FILE_PATH = "words.txt";
    
    private static WordManager instance = new WordManager();

    public static WordManager getInstance(){
        return instance;
    }

    private List words = new ArrayList();
    private Random rand = new Random();
    
    private WordManager(){

        try{
            BufferedReader in = new BufferedReader(
                    new FileReader(FILE_PATH));
    
            String line;
            while( (line = in.readLine() )!= null){
                line = line.trim();
                //󔒍s#Ŏn܂Rgs͖
                if(line.length() > 0 && !line.startsWith("#")){
                    words.add(line);
                }
            }
    
            in.close();
        }catch(IOException e){
            e.printStackTrace();
            throw new IllegalStateException("initialize fail");
        }
    }

    
    public String getWord(){
        int index = rand.nextInt(words.size());
        return (String)words.get(index);
    }
    
    
//    public static void main(String[] args) {
//        WordManager manager = WordManager.getInstance();
//        System.out.println(manager.getWord());
//    }

}
